<?php
// Ler o arquivo de log
if (file_exists("dados.txt")) {
    $log = file("dados.txt", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

    // Contar cliques e envios de formulário
    $clicks = count($log);
    $formSubmissions = 0;

    foreach ($log as $linha) {
        if (strpos($linha, "Senha:") !== false) {
            $formSubmissions++;
        }
    }

    // Retornar os dados como JSON
    echo json_encode([
        "clicks" => $clicks,
        "formSubmissions" => $formSubmissions
    ]);
} else {
    // Se o arquivo não existir, retornar valores padrão
    echo json_encode([
        "clicks" => 0,
        "formSubmissions" => 0
    ]);
}
?>